summaryrefslogtreecommitdiff
path: root/examples/openrc
diff options
context:
space:
mode:
Diffstat (limited to 'examples/openrc')
-rw-r--r--examples/openrc/httpd-4.initd23
-rw-r--r--examples/openrc/httpd-6.initd23
-rw-r--r--examples/openrc/httpsd-4.initd23
-rw-r--r--examples/openrc/httpsd-6.initd23
4 files changed, 92 insertions, 0 deletions
diff --git a/examples/openrc/httpd-4.initd b/examples/openrc/httpd-4.initd
new file mode 100644
index 0000000..c3024f3
--- /dev/null
+++ b/examples/openrc/httpd-4.initd
@@ -0,0 +1,23 @@
+#!/sbin/openrc-run
+
+name="httpd-4"
+description="tipidee for HTTP on ipv4"
+_ip=0.0.0.0
+_uid=`id -u www-data`
+_gid=`id -g www-data`
+
+command=/bin/env
+command_args="UID=${_uid} GID=${_gid} s6-tcpserver4 -U ${_ip} 80 s6-tcpserver-access tipideed"
+command_background=yes
+directory=/home/www-data
+pidfile=/run/httpd-4.pid
+error_log=/run/httpd-4.fifo
+error_logger="logger -t httpd-4"
+
+depend() {
+ need net localmount
+}
+
+start_pre() {
+ mkfifo -m 0600 /run/httpd-4.fifo || :
+}
diff --git a/examples/openrc/httpd-6.initd b/examples/openrc/httpd-6.initd
new file mode 100644
index 0000000..5b8a4cb
--- /dev/null
+++ b/examples/openrc/httpd-6.initd
@@ -0,0 +1,23 @@
+#!/sbin/openrc-run
+
+name="httpd-6"
+description="tipidee for HTTP on ipv6"
+_ip=::
+_uid=`id -u www-data`
+_gid=`id -g www-data`
+
+command=/bin/env
+command_args="UID=${_uid} GID=${_gid} s6-tcpserver6 -U ${_ip} 80 s6-tcpserver-access tipideed"
+command_background=yes
+directory=/home/www-data
+pidfile=/run/httpd-6.pid
+error_log=/run/httpd-6.fifo
+error_logger="logger -t httpd-6"
+
+depend() {
+ need net localmount
+}
+
+start_pre() {
+ mkfifo -m 0600 /run/httpd-6.fifo || :
+}
diff --git a/examples/openrc/httpsd-4.initd b/examples/openrc/httpsd-4.initd
new file mode 100644
index 0000000..0586286
--- /dev/null
+++ b/examples/openrc/httpsd-4.initd
@@ -0,0 +1,23 @@
+#!/sbin/openrc-run
+
+name="httpsd-4"
+description="tipidee for HTTPS on ipv4"
+_ip=0.0.0.0
+_uid=`id -u www-data`
+_gid=`id -g www-data`
+
+command=/bin/env
+command_args="UID=${_uid} GID=${_gid} KEYFILE=/etc/acme/private/examplecom-key.pem CERTFILE=/etc/acme/examplecom-cert.pem s6-tlsserver -e -U ${_ip} 443 tipideed"
+command_background=yes
+directory=/home/www-data
+pidfile=/run/httpsd-4.pid
+error_log=/run/httpsd-4.fifo
+error_logger="logger -t httpsd-4"
+
+depend() {
+ need net localmount
+}
+
+start_pre() {
+ mkfifo -m 0600 /run/httpsd-4.fifo || :
+}
diff --git a/examples/openrc/httpsd-6.initd b/examples/openrc/httpsd-6.initd
new file mode 100644
index 0000000..3c80105
--- /dev/null
+++ b/examples/openrc/httpsd-6.initd
@@ -0,0 +1,23 @@
+#!/sbin/openrc-run
+
+name="httpsd-6"
+description="tipidee for HTTPS on ipv6"
+_ip=::
+_uid=`id -u www-data`
+_gid=`id -g www-data`
+
+command=/bin/env
+command_args="UID=${_uid} GID=${_gid} KEYFILE=/etc/acme/private/examplecom-key.pem CERTFILE=/etc/acme/examplecom-cert.pem s6-tlsserver -e -U ${_ip} 443 tipideed"
+command_background=yes
+directory=/home/www-data
+pidfile=/run/httpsd-6.pid
+error_log=/run/httpsd-6.fifo
+error_logger="logger -t httpsd-6"
+
+depend() {
+ need net localmount
+}
+
+start_pre() {
+ mkfifo -m 0600 /run/httpsd-6.fifo || :
+}